# Uses of Class
jspecview.dialog.JSVDialog

Packages that use JSVDialog
Package
Description
jspecview.common
jspecview.dialog
jspecview.java
jspecview.js2d

## Uses of JSVDialog in jspecview.common

Fields in jspecview.common declared as JSVDialog
Modifier and Type
Field
Description
`JSVDialog`
PanelNode.`legend`
Methods in jspecview.common that return JSVDialog
Modifier and Type
Method
Description
`JSVDialog`
JSViewer.`getDialog(Annotation.AType type, Spectrum spec)`
`JSVDialog`
PanelNode.`setLegend(JSVDialog legend)`
`JSVDialog`
PanelData.`showDialog(Annotation.AType type)`
Methods in jspecview.common with parameters of type JSVDialog
Modifier and Type
Method
Description
`void`
PanelData.`removeDialog(JSVDialog dialog)`
`JSVDialog`
PanelNode.`setLegend(JSVDialog legend)`

## Uses of JSVDialog in jspecview.dialog

Subclasses of JSVDialog in jspecview.dialog
Modifier and Type
Class
Description
`class`
`IntegrationDialog`
Dialog for managing the integral listing for a Spectrum within a GraphSet
`class`
`MeasurementsDialog`
Dialog for managing the measurement list for a Spectrum within a GraphSet
`class`
`OverlayLegendDialog`
Dialog for showing the legend or key for overlaid plots in a `JSVPanel`.
`class`
`PeakListDialog`
Dialog for managing the peak listing for a Spectrum within a GraphSet
`class`
`ViewsDialog`
Dialog for managing overlaying spectra and closing files
Fields in jspecview.dialog with type parameters of type JSVDialog
Modifier and Type
Field
Description
`protected Map<String, JSVDialog>`
DialogManager.`htDialogs`
Methods in jspecview.dialog that return JSVDialog
Modifier and Type
Method
Description
`JSVDialog`
JSVDialog.`reEnable()`
`JSVDialog`
JSVDialog.`setParams(String title, JSViewer viewer, Spectrum spec)`
required initializer; from JSViewer
Methods in jspecview.dialog with parameters of type JSVDialog
Modifier and Type
Method
Description
`abstract PlatformDialog`
DialogManager.`getDialog(JSVDialog jsvDialog)`
`protected String`
DialogManager.`registerDialog(JSVDialog jsvDialog)`
register the JSV dialog with a unique key to be used as an ID in callbacks optionKeys ending with "!" are one-of-a-kind, such as "views"

## Uses of JSVDialog in jspecview.java

Methods in jspecview.java with parameters of type JSVDialog
Modifier and Type
Method
Description
`PlatformDialog`
AwtDialogManager.`getDialog(JSVDialog jsvDialog)`
Constructors in jspecview.java with parameters of type JSVDialog
Modifier
Constructor
Description
``
`AwtDialog(DialogManager manager, JSVDialog jsvDialog, String registryKey)`

## Uses of JSVDialog in jspecview.js2d

Methods in jspecview.js2d with parameters of type JSVDialog
Modifier and Type
Method
Description
`PlatformDialog`
JsDialogManager.`getDialog(JSVDialog jsvDialog)`
Constructors in jspecview.js2d with parameters of type JSVDialog
Modifier
Constructor
Description
``
`JsDialog(DialogManager manager, JSVDialog jsvDialog, String registryKey)`